#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: test-framework
version: 0.8.2.0
id: test-framework-0.8.2.0-B3Pl5gcgTqTDKXxK4e8i9L
key: test-framework-0.8.2.0-B3Pl5gcgTqTDKXxK4e8i9L
license: BSD-3-Clause
maintainer: Libraries List <libraries@haskell.org>
author: Max Bolingbroke <batterseapower@hotmail.com>
homepage: http://haskell.github.io/test-framework/
synopsis: Framework for running and organising tests, with HUnit and QuickCheck support
description:
    Allows tests such as QuickCheck properties and HUnit test cases to be assembled into test groups, run in
    parallel (but reported in deterministic order, to aid diff interpretation) and filtered and controlled by
    command line options. All of this comes with colored test output, progress reporting and test statistics output.
category: Testing
abi: a878356130f1ca63c8dfd2958692d4c3
exposed: True
exposed-modules:
    Test.Framework Test.Framework.Options Test.Framework.Providers.API
    Test.Framework.Runners.API Test.Framework.Runners.Console
    Test.Framework.Runners.Options Test.Framework.Runners.TestPattern
    Test.Framework.Seed
hidden-modules: Test.Framework.Core Test.Framework.Improving
                Test.Framework.Runners.Console.Colors
                Test.Framework.Runners.Console.ProgressBar
                Test.Framework.Runners.Console.Run
                Test.Framework.Runners.Console.Statistics
                Test.Framework.Runners.Console.Table
                Test.Framework.Runners.Console.Utilities
                Test.Framework.Runners.Core Test.Framework.Runners.Processors
                Test.Framework.Runners.Statistics Test.Framework.Runners.ThreadPool
                Test.Framework.Runners.TimedConsumption
                Test.Framework.Runners.XML.JUnitWriter Test.Framework.Runners.XML
                Test.Framework.Utilities
import-dirs: /usr/lib/ghc-8.4.3/site-local/test-framework-0.8.2.0
library-dirs: /usr/lib/ghc-8.4.3/site-local/test-framework-0.8.2.0
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.4.3/test-framework-0.8.2.0
hs-libraries: HStest-framework-0.8.2.0-B3Pl5gcgTqTDKXxK4e8i9L
depends:
    base-4.11.1.0 ansi-terminal-0.8.0.4-HZ5uOkWM5Gb4ksiKJemtLG
    ansi-wl-pprint-0.6.8.2-8f94dKGUwBPE80RGxGBXOm
    random-1.1-9LLJAJa4iQFLJiLXBOBXBV containers-0.5.11.0
    regex-posix-0.95.2-FLMmMz75XIwP5t3X8eXe
    old-locale-1.0.0.7-26K7wLFR2jK44UeOklvTCh time-1.8.0.2
    xml-1.3.14-Iiopw2ucwBuIKdlkbvc4Gm
    hostname-1.0-Ej5hvtbOaDOEQosxQqfQV6
abi-depends: base-4.11.1.0=9da3f387598d41928f3ebf8097acf9b3
             ansi-terminal-0.8.0.4-HZ5uOkWM5Gb4ksiKJemtLG=eaed657d24f75590faf3b67ce55e7410
             ansi-wl-pprint-0.6.8.2-8f94dKGUwBPE80RGxGBXOm=cbc795f0a49989e87d7491265173e6cf
             random-1.1-9LLJAJa4iQFLJiLXBOBXBV=8df244958947206247b1dd733653312e
             containers-0.5.11.0=7795138514357bd2e41eaf59b6cfce4f
             regex-posix-0.95.2-FLMmMz75XIwP5t3X8eXe=eae15e0dc39513de0767dec8084921c8
             old-locale-1.0.0.7-26K7wLFR2jK44UeOklvTCh=624bb9fc159afd36b39208b6844f8edd
             time-1.8.0.2=976962cc6498b843f1efb5bef740838e
             xml-1.3.14-Iiopw2ucwBuIKdlkbvc4Gm=35dbfbd62792f0eb942c24ab342525e4
             hostname-1.0-Ej5hvtbOaDOEQosxQqfQV6=acbefd15b3ea2d6585ab61079033456e
haddock-interfaces: /usr/share/doc/haskell-test-framework/html/test-framework.haddock
haddock-html: /usr/share/doc/haskell-test-framework/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

